### Function

# GLib get_num_processors

since: 2.36

#### Declaration

    guint
    g_get_num_processors (
      void
    )

#### Description

Determine the approximate number of threads that the system will schedule simultaneously for this process. This is intended to be used as a parameter to `g_thread_pool_new()` for CPU bound tasks and similar cases.

Available since: 2.36

#### Return value

Type: `guint`

Number of schedulable threads, always greater than 0